Package net.postgis.jdbc

# Class PGgeometryLW

java.lang.Object
org.postgresql.util.PGobject
net.postgis.jdbc.PGgeo
net.postgis.jdbc.PGgeometry
net.postgis.jdbc.PGgeometryLW

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class PGgeometryLW extends PGgeometry
A PostgreSQL JDBC PGobject extension data type modeling the geometry type. The hex-encoded EWKB format is used to communicate with the backend, which is much more efficient, but only works with Lwgeom enabled PostGIS (1.0.0 and up).

Author:
  Phillip Ross
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

## Constructor Summary

Constructors
Constructor
Description
`PGgeometryLW()`
Instantiate with default state.
`PGgeometryLW(String value)`
Instantiate with the specified state.
`PGgeometryLW(Geometry geometry)`
Instantiate with the specified state.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`String`
`getValue()`

### Methods inherited from class net.postgis.jdbc.PGgeo

`getGeometry, getGeoType, setGeometry, setValue, toString`

### Methods inherited from class org.postgresql.util.PGobject

`equals, equals, getType, hashCode, isNull, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PGgeometryLW

public PGgeometryLW()
Instantiate with default state.

### PGgeometryLW

public PGgeometryLW(Geometry geometry)
Instantiate with the specified state.

Parameters:
  `geometry` - the geometry to instantiate with

### PGgeometryLW

public PGgeometryLW(String value) throws SQLException
Instantiate with the specified state.

Parameters:
  `value` - the value to instantiate with
Throws:
  `SQLException`

## Method Details

### getValue

public String getValue()

Overrides:
  `getValue` in class `PGgeo`

### clone

public Object clone()

Overrides:
  `clone` in class `PGgeometry`